<html>
<head>
<title>Ogre::Overlay Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Overlay.html">Overlay</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Overlay Class Reference<div class="ingroups"><a class="el" href="group__Overlays.html">Overlays</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Overlay" --><!-- doxytag: inherits="Ogre::AllocatedObject" -->
<p>Represents a layer which is rendered on top of the 'normal' scene contents.  
 <a href="classOgre_1_1Overlay.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Overlay:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Overlay__inherit__graph.gif" border="0" usemap="#Ogre_1_1Overlay_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Overlay_inherit__map" id="Ogre_1_1Overlay_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="8,5,104,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Overlay-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="structOgre_1_1list.html">list</a>&lt; <a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> * &gt;<br class="typebreak"/>
::type&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">OverlayContainerList</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a><br class="typebreak"/>
&lt; <a class="el" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">OverlayContainerList</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a9de93b21d275a160987ab71f514e617b">Overlay2DElementsIterator</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns an iterator over all 2D elements in this manager.  <a href="#a9de93b21d275a160987ab71f514e617b"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a8d6c54081ea142edf528d4253f32a913">Overlay</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor: do not call direct, use <a class="el" href="classOgre_1_1OverlayManager.html#ab6eb3dcc484ba5b06904ab2fb6b1aa23" title="Create a new Overlay.">OverlayManager::create</a>.  <a href="#a8d6c54081ea142edf528d4253f32a913"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a5a4051af0e9d239f4cb3d03f092565c3">~Overlay</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a5d12ab2635efc92de84fece5ae97ed5a">getChild</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;name)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#aabe5ca1ccdcf2f813f6b3c76bfc1e431">getName</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the name of this overlay.  <a href="#aabe5ca1ccdcf2f813f6b3c76bfc1e431"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a5d8481d5fa0990846e53345f1a1cc705">setZOrder</a> (<a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> zorder)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Alters the ZOrder of this overlay.  <a href="#a5d8481d5fa0990846e53345f1a1cc705"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#af1c179ff9599e3cde15e32d580655f48">getZOrder</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the ZOrder of this overlay.  <a href="#af1c179ff9599e3cde15e32d580655f48"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a455ff8e472ec649d4d1c04132b6ae6e9">isVisible</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether the overlay is displayed or not.  <a href="#a455ff8e472ec649d4d1c04132b6ae6e9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a5680b79c15b1f810c0f3bf93541994fb">isInitialised</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets whether the overlay is initialised or not.  <a href="#a5680b79c15b1f810c0f3bf93541994fb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a3c565f3e5cf61f43fa33542d713e8ccf">show</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the overlay if it was hidden.  <a href="#a3c565f3e5cf61f43fa33542d713e8ccf"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ab210b07a317329bb66df4e674de2a367">hide</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the overlay if it was visible.  <a href="#ab210b07a317329bb66df4e674de2a367"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a702b15ebaa6d3f8dbb2918500b76c9f0">add2D</a> (<a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *cont)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a 2D 'container' to the overlay.  <a href="#a702b15ebaa6d3f8dbb2918500b76c9f0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a5c6182483591872da63ac4cea94671af">remove2D</a> (<a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *cont)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a 2D container from the overlay.  <a href="#a5c6182483591872da63ac4cea94671af"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a296d54af42cc05fddd20e07b5209ab1a">add3D</a> (<a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a node capable of holding 3D objects to the overlay.  <a href="#a296d54af42cc05fddd20e07b5209ab1a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a2ff5331b691cd4f07ee66e63f237baef">remove3D</a> (<a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *node)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a 3D element from the overlay.  <a href="#a2ff5331b691cd4f07ee66e63f237baef"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a81c8a84fa283a0341a8c14b6c8168ccb">clear</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Clears the overlay of all attached items.  <a href="#a81c8a84fa283a0341a8c14b6c8168ccb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ae268ad3250bac5058c6d08e00c060289">setScroll</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the scrolling factor of this overlay.  <a href="#ae268ad3250bac5058c6d08e00c060289"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ad6d4a3b5f733a30ba86f7b119d0fe0e6">getScrollX</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the current X scroll value.  <a href="#ad6d4a3b5f733a30ba86f7b119d0fe0e6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#af5627552bfa34c5fac0d348e2548794b">getScrollY</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the current Y scroll value.  <a href="#af5627552bfa34c5fac0d348e2548794b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ae07b1a57498aad0299f0781b09ca9b39">scroll</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> xoff, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> yoff)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Scrolls the overlay by the offsets provided.  <a href="#ae07b1a57498aad0299f0781b09ca9b39"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a69d5f4c12c15f00efc7818d201e02e86">setRotate</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the rotation applied to this overlay.  <a href="#a69d5f4c12c15f00efc7818d201e02e86"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#adddd063aa2b50cbf00f9b2a96f4e16b6">getRotate</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the rotation applied to this overlay, in degrees.  <a href="#adddd063aa2b50cbf00f9b2a96f4e16b6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a8282553a59253170ddd0488ab7179792">rotate</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;angle)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds the passed in angle to the rotation applied to this overlay.  <a href="#a8282553a59253170ddd0488ab7179792"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#adea3b88baa3697a657e7b5785f0ffedb">setScale</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the scaling factor of this overlay.  <a href="#adea3b88baa3697a657e7b5785f0ffedb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ac0206725a1be8a317529b31e750c500c">getScaleX</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the current X scale value.  <a href="#ac0206725a1be8a317529b31e750c500c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a71265386a6190f91c79e8ca2c657fcd4">getScaleY</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets the current Y scale value.  <a href="#a71265386a6190f91c79e8ca2c657fcd4"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a928762f6c7c24583e092ff61e52e941a">_getWorldTransforms</a> (<a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *xform) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to transform the overlay when scrolling, scaling etc.  <a href="#a928762f6c7c24583e092ff61e52e941a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ae694fb90f0c626c2fb4e7dfc65f97448">_findVisibleObjects</a> (<a class="el" href="classOgre_1_1Camera.html">Camera</a> *cam, <a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *queue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method to put the overlay contents onto the render queue.  <a href="#ae694fb90f0c626c2fb4e7dfc65f97448"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#aaf8b4bc3c953b8eeaf5ce8e6f3bfac9f">findElementAt</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> x, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> y)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">This returns a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> at position x,y.  <a href="#aaf8b4bc3c953b8eeaf5ce8e6f3bfac9f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Overlay.html#a9de93b21d275a160987ab71f514e617b">Overlay2DElementsIterator</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a659220630fe743a8359455f31640b465">get2DElementsIterator</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a7b04bcdbc67a779836cbbf04dd1e21ff">getOrigin</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the origin of this overlay, e.g.  <a href="#a7b04bcdbc67a779836cbbf04dd1e21ff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ae48bf2a6596b514f95e9d3a437d8e1e0">_notifyOrigin</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;origin)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Notify this overlay of it's origin.  <a href="#ae48bf2a6596b514f95e9d3a437d8e1e0"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a299bf0150c79f7247663d795cc3adf23">updateTransform</a> (void) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal lazy update method.  <a href="#a299bf0150c79f7247663d795cc3adf23"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ae2d469b158f4db3064c33051791876bb">initialise</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for initialising an overlay.  <a href="#ae2d469b158f4db3064c33051791876bb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a1fae20c3f70184ac555edc2c81c4573f">assignZOrders</a> (void)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal method for updating container elements' Z-ordering.  <a href="#a1fae20c3f70184ac555edc2c81c4573f"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#af3f2cf5abee8dfa0c4a405fc4def8090">mName</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a09e2075d2d0be9ca8e1c82ff1b4bbd4f">mRootNode</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Internal root node, used as parent for 3D objects.  <a href="#a09e2075d2d0be9ca8e1c82ff1b4bbd4f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">OverlayContainerList</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a7092a701bd3064f4d37ed107a38d3af5">m2DElements</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Radian.html">Radian</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#acfea58e14ec720e91320d16f40d72dd2">mRotate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a7f31ad43e6ae56223bcb4b0f419dec53">mScrollX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a18010a80c39421d071b5d159f166a8f0">mScrollY</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a841135f08c6791e7006ad4b99a0c6459">mScaleX</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a918d0776ae24dae53716e6e2fa01524b">mScaleY</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a2ef3578f72ef61935cd55529598eaf98">mTransform</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ac70a9397e1355a83237e7b2e05416017">mTransformOutOfDate</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a681c81ead2967a473100495dac9b82ab">mTransformUpdated</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#a4304981347643708ee9a7ba8884e5758">ulong</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#a0671899a71d5ed5ca4973e236b77b75e">mZOrder</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#aa8c41f39e68f82a6e4d9f7b080e3eb08">mVisible</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#ae9d25c8decc42d2369c437dd45d337c1">mInitialised</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Overlay.html#acc986bc34b6e22883cb941378b068f8b">mOrigin</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>Represents a layer which is rendered on top of the 'normal' scene contents. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>An overlay is a container for visual components (2D and 3D) which will be rendered after the main scene in order to composite heads-up-displays, menus or other layers on top of the contents of the scene. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>An overlay always takes up the entire size of the viewport, although the components attached to it do not have to. An overlay has no visual element in itself, it it merely a container for visual elements. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>Overlays are created by calling <a class="el" href="classOgre_1_1OverlayManager.html#ab6eb3dcc484ba5b06904ab2fb6b1aa23" title="Create a new Overlay.">OverlayManager::create</a>, or by defining them in special text scripts (.overlay files). As many overlays as you like can be defined; after creation an overlay is hidden i.e. not visible until you specifically enable it by calling 'show'. This allows you to have multiple overlays predefined (menus etc) which you make visible only when you want. It is possible to have multiple overlays enabled at once; in this case the relative 'zorder' parameter of the overlays determine which one is displayed on top. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>By default overlays are rendered into all viewports. This is fine when you only have fullscreen viewports, but if you have picture-in-picture views, you probably don't want the overlay displayed in the smaller viewports. You turn this off for a specific viewport by calling the Viewport::setDisplayOverlays method. </dd></dl>

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00070">70</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>
</div><hr/><h2>Member Typedef Documentation</h2>
<a class="anchor" id="a9de93b21d275a160987ab71f514e617b"></a><!-- doxytag: member="Ogre::Overlay::Overlay2DElementsIterator" ref="a9de93b21d275a160987ab71f514e617b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="classOgre_1_1VectorIterator.html">VectorIterator</a>&lt;<a class="el" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">OverlayContainerList</a>&gt; <a class="el" href="classOgre_1_1Overlay.html#a9de93b21d275a160987ab71f514e617b">Ogre::Overlay::Overlay2DElementsIterator</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns an iterator over all 2D elements in this manager. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1VectorIterator.html" title="Concrete IteratorWrapper for nonconst access to the underlying container.">VectorIterator</a> is actually a too generic name, since it also works for lists. </dd></dl>

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00256">256</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5567588916f454f12f9d9a1c3caf2995"></a><!-- doxytag: member="Ogre::Overlay::OverlayContainerList" ref="a5567588916f454f12f9d9a1c3caf2995" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef <a class="el" href="structOgre_1_1list.html">list</a>&lt;<a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a>*&gt;::type <a class="el" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">Ogre::Overlay::OverlayContainerList</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00074">74</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a8d6c54081ea142edf528d4253f32a913"></a><!-- doxytag: member="Ogre::Overlay::Overlay" ref="a8d6c54081ea142edf528d4253f32a913" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Overlay.html#a8d6c54081ea142edf528d4253f32a913">Ogre::Overlay::Overlay</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Constructor: do not call direct, use <a class="el" href="classOgre_1_1OverlayManager.html#ab6eb3dcc484ba5b06904ab2fb6b1aa23" title="Create a new Overlay.">OverlayManager::create</a>. </p>

</div>
</div>
<a class="anchor" id="a5a4051af0e9d239f4cb3d03f092565c3"></a><!-- doxytag: member="Ogre::Overlay::~Overlay" ref="a5a4051af0e9d239f4cb3d03f092565c3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Overlay.html#a5a4051af0e9d239f4cb3d03f092565c3">Ogre::Overlay::~Overlay</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ae694fb90f0c626c2fb4e7dfc65f97448"></a><!-- doxytag: member="Ogre::Overlay::_findVisibleObjects" ref="ae694fb90f0c626c2fb4e7dfc65f97448" args="(Camera *cam, RenderQueue *queue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#ae694fb90f0c626c2fb4e7dfc65f97448">Ogre::Overlay::_findVisibleObjects</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Camera.html">Camera</a> *&#160;</td>
          <td class="paramname"><em>cam</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1RenderQueue.html">RenderQueue</a> *&#160;</td>
          <td class="paramname"><em>queue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method to put the overlay contents onto the render queue. </p>

</div>
</div>
<a class="anchor" id="a928762f6c7c24583e092ff61e52e941a"></a><!-- doxytag: member="Ogre::Overlay::_getWorldTransforms" ref="a928762f6c7c24583e092ff61e52e941a" args="(Matrix4 *xform) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a928762f6c7c24583e092ff61e52e941a">Ogre::Overlay::_getWorldTransforms</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> *&#160;</td>
          <td class="paramname"><em>xform</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Used to transform the overlay when scrolling, scaling etc. </p>

</div>
</div>
<a class="anchor" id="ae48bf2a6596b514f95e9d3a437d8e1e0"></a><!-- doxytag: member="Ogre::Overlay::_notifyOrigin" ref="ae48bf2a6596b514f95e9d3a437d8e1e0" args="(const String &amp;origin)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#ae48bf2a6596b514f95e9d3a437d8e1e0">Ogre::Overlay::_notifyOrigin</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>origin</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Notify this overlay of it's origin. </p>

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00269">269</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a702b15ebaa6d3f8dbb2918500b76c9f0"></a><!-- doxytag: member="Ogre::Overlay::add2D" ref="a702b15ebaa6d3f8dbb2918500b76c9f0" args="(OverlayContainer *cont)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a702b15ebaa6d3f8dbb2918500b76c9f0">Ogre::Overlay::add2D</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&#160;</td>
          <td class="paramname"><em>cont</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a 2D 'container' to the overlay. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Containers are created and managed using the <a class="el" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them...">OverlayManager</a>. A container could be as simple as a square panel, or something more complex like a grid or tree view. Containers group collections of other elements, giving them a relative coordinate space and a common z-order. If you want to attach a GUI widget to an overlay, you have to do it via a container. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">cont</td><td>Pointer to a container to add, created using <a class="el" href="classOgre_1_1OverlayManager.html" title="Manages Overlay objects, parsing them from .overlay files and storing a lookup library of them...">OverlayManager</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a296d54af42cc05fddd20e07b5209ab1a"></a><!-- doxytag: member="Ogre::Overlay::add3D" ref="a296d54af42cc05fddd20e07b5209ab1a" args="(SceneNode *node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a296d54af42cc05fddd20e07b5209ab1a">Ogre::Overlay::add3D</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds a node capable of holding 3D objects to the overlay. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Although overlays are traditionally associated with 2D elements, there are reasons why you might want to attach 3D elements to the overlay too. For example, if you wanted to have a 3D cockpit, which was overlaid with a HUD, then you would create 2 overlays, one with a 3D object attached for the cockpit, and one with the HUD elements attached (the zorder of the HUD overlay would be higher than the cockpit to ensure it was always on top). </dd></dl>
<dl class="user"><dt><b></b></dt><dd>A <a class="el" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a> can have any number of 3D objects attached to it. SceneNodes are usually created using <a class="el" href="classOgre_1_1SceneManager.html#ab31f9c018b801240c238c7a048439150" title="Creates an instance of a SceneNode.">SceneManager::createSceneNode</a>, but in this case you should create a standard <a class="el" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a> instance <b>manually</b>; this is because these scene nodes are not managed by the <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> and some custom <a class="el" href="classOgre_1_1SceneManager.html" title="Manages the organisation and rendering of a &#39;scene&#39; i.e.">SceneManager</a> plugins will rely on specialist behaviour the overlay does not support. By attaching a <a class="el" href="classOgre_1_1SceneNode.html" title="Class representing a node in the scene graph.">SceneNode</a> to an overlay, you indicate that:<ol>
<li>
You want the contents of this node to only appear when the overlay is active </li>
<li>
You want the node to inherit a coordinate space relative to the camera, rather than relative to the root scene node </li>
<li>
You want these objects to be rendered after the contents of the main scene to ensure they are rendered on top </li>
</ol>
One major consideration when using 3D objects in overlays is the behaviour of the depth buffer. Overlays should use materials with depth checking off, to ensure that their contents are always displayed on top of the main scene (to do otherwise would result in objects 'poking through' the overlay). The problem with using 3D objects is that if they are concave, or self-overlap, then you can get artefacts because of the lack of depth buffer checking. So you should ensure that any 3D objects you us in the overlay are convex, and don't overlap each other. If they must overlap, split them up and put them in 2 overlays. Alternatively, use a 2D element underneath them which will clear the depth buffer values underneath ready for the 3D element to be rendered correctly. </dd></dl>

</div>
</div>
<a class="anchor" id="a1fae20c3f70184ac555edc2c81c4573f"></a><!-- doxytag: member="Ogre::Overlay::assignZOrders" ref="a1fae20c3f70184ac555edc2c81c4573f" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a1fae20c3f70184ac555edc2c81c4573f">Ogre::Overlay::assignZOrders</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for updating container elements' Z-ordering. </p>

</div>
</div>
<a class="anchor" id="a81c8a84fa283a0341a8c14b6c8168ccb"></a><!-- doxytag: member="Ogre::Overlay::clear" ref="a81c8a84fa283a0341a8c14b6c8168ccb" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a81c8a84fa283a0341a8c14b6c8168ccb">Ogre::Overlay::clear</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Clears the overlay of all attached items. </p>

</div>
</div>
<a class="anchor" id="aaf8b4bc3c953b8eeaf5ce8e6f3bfac9f"></a><!-- doxytag: member="Ogre::Overlay::findElementAt" ref="aaf8b4bc3c953b8eeaf5ce8e6f3bfac9f" args="(Real x, Real y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1OverlayElement.html">OverlayElement</a>* <a class="el" href="classOgre_1_1Overlay.html#aaf8b4bc3c953b8eeaf5ce8e6f3bfac9f">Ogre::Overlay::findElementAt</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>This returns a <a class="el" href="classOgre_1_1OverlayElement.html" title="Abstract definition of a 2D element to be displayed in an Overlay.">OverlayElement</a> at position x,y. </p>

</div>
</div>
<a class="anchor" id="a659220630fe743a8359455f31640b465"></a><!-- doxytag: member="Ogre::Overlay::get2DElementsIterator" ref="a659220630fe743a8359455f31640b465" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Overlay.html#a9de93b21d275a160987ab71f514e617b">Overlay2DElementsIterator</a> <a class="el" href="classOgre_1_1Overlay.html#a659220630fe743a8359455f31640b465">Ogre::Overlay::get2DElementsIterator</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00257">257</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5d12ab2635efc92de84fece5ae97ed5a"></a><!-- doxytag: member="Ogre::Overlay::getChild" ref="a5d12ab2635efc92de84fece5ae97ed5a" args="(const String &amp;name)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a>* <a class="el" href="classOgre_1_1Overlay.html#a5d12ab2635efc92de84fece5ae97ed5a">Ogre::Overlay::getChild</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aabe5ca1ccdcf2f813f6b3c76bfc1e431"></a><!-- doxytag: member="Ogre::Overlay::getName" ref="aabe5ca1ccdcf2f813f6b3c76bfc1e431" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Overlay.html#aabe5ca1ccdcf2f813f6b3c76bfc1e431">Ogre::Overlay::getName</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the name of this overlay. </p>

</div>
</div>
<a class="anchor" id="a7b04bcdbc67a779836cbbf04dd1e21ff"></a><!-- doxytag: member="Ogre::Overlay::getOrigin" ref="a7b04bcdbc67a779836cbbf04dd1e21ff" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; <a class="el" href="classOgre_1_1Overlay.html#a7b04bcdbc67a779836cbbf04dd1e21ff">Ogre::Overlay::getOrigin</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the origin of this overlay, e.g. </p>
<p>a script file name. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This property will only contain something if the creator of this overlay chose to populate it. Script loaders are advised to populate it. </dd></dl>

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00267">267</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="adddd063aa2b50cbf00f9b2a96f4e16b6"></a><!-- doxytag: member="Ogre::Overlay::getRotate" ref="adddd063aa2b50cbf00f9b2a96f4e16b6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Radian.html">Radian</a>&amp; <a class="el" href="classOgre_1_1Overlay.html#adddd063aa2b50cbf00f9b2a96f4e16b6">Ogre::Overlay::getRotate</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the rotation applied to this overlay, in degrees. </p>

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00223">223</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac0206725a1be8a317529b31e750c500c"></a><!-- doxytag: member="Ogre::Overlay::getScaleX" ref="ac0206725a1be8a317529b31e750c500c" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#ac0206725a1be8a317529b31e750c500c">Ogre::Overlay::getScaleX</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the current X scale value. </p>

</div>
</div>
<a class="anchor" id="a71265386a6190f91c79e8ca2c657fcd4"></a><!-- doxytag: member="Ogre::Overlay::getScaleY" ref="a71265386a6190f91c79e8ca2c657fcd4" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#a71265386a6190f91c79e8ca2c657fcd4">Ogre::Overlay::getScaleY</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the current Y scale value. </p>

</div>
</div>
<a class="anchor" id="ad6d4a3b5f733a30ba86f7b119d0fe0e6"></a><!-- doxytag: member="Ogre::Overlay::getScrollX" ref="ad6d4a3b5f733a30ba86f7b119d0fe0e6" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#ad6d4a3b5f733a30ba86f7b119d0fe0e6">Ogre::Overlay::getScrollX</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the current X scroll value. </p>

</div>
</div>
<a class="anchor" id="af5627552bfa34c5fac0d348e2548794b"></a><!-- doxytag: member="Ogre::Overlay::getScrollY" ref="af5627552bfa34c5fac0d348e2548794b" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#af5627552bfa34c5fac0d348e2548794b">Ogre::Overlay::getScrollY</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the current Y scroll value. </p>

</div>
</div>
<a class="anchor" id="af1c179ff9599e3cde15e32d580655f48"></a><!-- doxytag: member="Ogre::Overlay::getZOrder" ref="af1c179ff9599e3cde15e32d580655f48" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a> <a class="el" href="classOgre_1_1Overlay.html#af1c179ff9599e3cde15e32d580655f48">Ogre::Overlay::getZOrder</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets the ZOrder of this overlay. </p>

</div>
</div>
<a class="anchor" id="ab210b07a317329bb66df4e674de2a367"></a><!-- doxytag: member="Ogre::Overlay::hide" ref="ab210b07a317329bb66df4e674de2a367" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#ab210b07a317329bb66df4e674de2a367">Ogre::Overlay::hide</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Hides the overlay if it was visible. </p>

</div>
</div>
<a class="anchor" id="ae2d469b158f4db3064c33051791876bb"></a><!-- doxytag: member="Ogre::Overlay::initialise" ref="ae2d469b158f4db3064c33051791876bb" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#ae2d469b158f4db3064c33051791876bb">Ogre::Overlay::initialise</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal method for initialising an overlay. </p>

</div>
</div>
<a class="anchor" id="a5680b79c15b1f810c0f3bf93541994fb"></a><!-- doxytag: member="Ogre::Overlay::isInitialised" ref="a5680b79c15b1f810c0f3bf93541994fb" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#a5680b79c15b1f810c0f3bf93541994fb">Ogre::Overlay::isInitialised</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether the overlay is initialised or not. </p>

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00127">127</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a455ff8e472ec649d4d1c04132b6ae6e9"></a><!-- doxytag: member="Ogre::Overlay::isVisible" ref="a455ff8e472ec649d4d1c04132b6ae6e9" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#a455ff8e472ec649d4d1c04132b6ae6e9">Ogre::Overlay::isVisible</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gets whether the overlay is displayed or not. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Overlay::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Overlay::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Overlay::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Overlay::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Overlay::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Overlay::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Overlay::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Overlay::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Overlay::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Overlay::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5c6182483591872da63ac4cea94671af"></a><!-- doxytag: member="Ogre::Overlay::remove2D" ref="a5c6182483591872da63ac4cea94671af" args="(OverlayContainer *cont)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a5c6182483591872da63ac4cea94671af">Ogre::Overlay::remove2D</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1OverlayContainer.html">OverlayContainer</a> *&#160;</td>
          <td class="paramname"><em>cont</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes a 2D container from the overlay. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>NOT FAST. Consider <a class="el" href="classOgre_1_1OverlayElement.html#a33d8945bd771e80d61bd3d36a32738eb" title="Hides this element if it was visible.">OverlayElement::hide</a>. </dd></dl>

</div>
</div>
<a class="anchor" id="a2ff5331b691cd4f07ee66e63f237baef"></a><!-- doxytag: member="Ogre::Overlay::remove3D" ref="a2ff5331b691cd4f07ee66e63f237baef" args="(SceneNode *node)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a2ff5331b691cd4f07ee66e63f237baef">Ogre::Overlay::remove3D</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a> *&#160;</td>
          <td class="paramname"><em>node</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Removes a 3D element from the overlay. </p>

</div>
</div>
<a class="anchor" id="a8282553a59253170ddd0488ab7179792"></a><!-- doxytag: member="Ogre::Overlay::rotate" ref="a8282553a59253170ddd0488ab7179792" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a8282553a59253170ddd0488ab7179792">Ogre::Overlay::rotate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Adds the passed in angle to the rotation applied to this overlay. </p>

</div>
</div>
<a class="anchor" id="ae07b1a57498aad0299f0781b09ca9b39"></a><!-- doxytag: member="Ogre::Overlay::scroll" ref="ae07b1a57498aad0299f0781b09ca9b39" args="(Real xoff, Real yoff)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#ae07b1a57498aad0299f0781b09ca9b39">Ogre::Overlay::scroll</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>xoff</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>yoff</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scrolls the overlay by the offsets provided. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>This method moves the overlay by the amounts provided. As with other methods on this object, a full screen width / height is represented by the value 1.0. </dd></dl>

</div>
</div>
<a class="anchor" id="a69d5f4c12c15f00efc7818d201e02e86"></a><!-- doxytag: member="Ogre::Overlay::setRotate" ref="a69d5f4c12c15f00efc7818d201e02e86" args="(const Radian &amp;angle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a69d5f4c12c15f00efc7818d201e02e86">Ogre::Overlay::setRotate</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>angle</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the rotation applied to this overlay. </p>

</div>
</div>
<a class="anchor" id="adea3b88baa3697a657e7b5785f0ffedb"></a><!-- doxytag: member="Ogre::Overlay::setScale" ref="adea3b88baa3697a657e7b5785f0ffedb" args="(Real x, Real y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#adea3b88baa3697a657e7b5785f0ffedb">Ogre::Overlay::setScale</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the scaling factor of this overlay. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can use this to set an scale factor to be used to zoom an overlay. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Horizontal scale value, where 1.0 = normal, 0.5 = half size etc </td></tr>
    <tr><td class="paramname">y</td><td>Vertical scale value, where 1.0 = normal, 0.5 = half size etc </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ae268ad3250bac5058c6d08e00c060289"></a><!-- doxytag: member="Ogre::Overlay::setScroll" ref="ae268ad3250bac5058c6d08e00c060289" args="(Real x, Real y)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#ae268ad3250bac5058c6d08e00c060289">Ogre::Overlay::setScroll</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Sets the scrolling factor of this overlay. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>You can use this to set an offset to be used to scroll an overlay around the screen. </dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">x</td><td>Horizontal scroll value, where 0 = normal, -0.5 = scroll so that only the right half the screen is visible etc </td></tr>
    <tr><td class="paramname">y</td><td>Vertical scroll value, where 0 = normal, 0.5 = scroll down by half a screen etc. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5d8481d5fa0990846e53345f1a1cc705"></a><!-- doxytag: member="Ogre::Overlay::setZOrder" ref="a5d8481d5fa0990846e53345f1a1cc705" args="(ushort zorder)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a5d8481d5fa0990846e53345f1a1cc705">Ogre::Overlay::setZOrder</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#af851e71354d841df7138f9877c6f5931">ushort</a>&#160;</td>
          <td class="paramname"><em>zorder</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Alters the ZOrder of this overlay. </p>
<dl class="remark"><dt><b>Remarks:</b></dt><dd>Values between 0 and 650 are valid here. </dd></dl>

</div>
</div>
<a class="anchor" id="a3c565f3e5cf61f43fa33542d713e8ccf"></a><!-- doxytag: member="Ogre::Overlay::show" ref="a3c565f3e5cf61f43fa33542d713e8ccf" args="(void)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a3c565f3e5cf61f43fa33542d713e8ccf">Ogre::Overlay::show</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Shows the overlay if it was hidden. </p>

</div>
</div>
<a class="anchor" id="a299bf0150c79f7247663d795cc3adf23"></a><!-- doxytag: member="Ogre::Overlay::updateTransform" ref="a299bf0150c79f7247663d795cc3adf23" args="(void) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Overlay.html#a299bf0150c79f7247663d795cc3adf23">Ogre::Overlay::updateTransform</a> </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal lazy update method. </p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a7092a701bd3064f4d37ed107a38d3af5"></a><!-- doxytag: member="Ogre::Overlay::m2DElements" ref="a7092a701bd3064f4d37ed107a38d3af5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Overlay.html#a5567588916f454f12f9d9a1c3caf2995">OverlayContainerList</a> <a class="el" href="classOgre_1_1Overlay.html#a7092a701bd3064f4d37ed107a38d3af5">Ogre::Overlay::m2DElements</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00082">82</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="ae9d25c8decc42d2369c437dd45d337c1"></a><!-- doxytag: member="Ogre::Overlay::mInitialised" ref="ae9d25c8decc42d2369c437dd45d337c1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#ae9d25c8decc42d2369c437dd45d337c1">Ogre::Overlay::mInitialised</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00096">96</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="af3f2cf5abee8dfa0c4a405fc4def8090"></a><!-- doxytag: member="Ogre::Overlay::mName" ref="af3f2cf5abee8dfa0c4a405fc4def8090" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Overlay.html#af3f2cf5abee8dfa0c4a405fc4def8090">Ogre::Overlay::mName</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00076">76</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="acc986bc34b6e22883cb941378b068f8b"></a><!-- doxytag: member="Ogre::Overlay::mOrigin" ref="acc986bc34b6e22883cb941378b068f8b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="classOgre_1_1Overlay.html#acc986bc34b6e22883cb941378b068f8b">Ogre::Overlay::mOrigin</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00097">97</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a09e2075d2d0be9ca8e1c82ff1b4bbd4f"></a><!-- doxytag: member="Ogre::Overlay::mRootNode" ref="a09e2075d2d0be9ca8e1c82ff1b4bbd4f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SceneNode.html">SceneNode</a>* <a class="el" href="classOgre_1_1Overlay.html#a09e2075d2d0be9ca8e1c82ff1b4bbd4f">Ogre::Overlay::mRootNode</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Internal root node, used as parent for 3D objects. </p>

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00078">78</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="acfea58e14ec720e91320d16f40d72dd2"></a><!-- doxytag: member="Ogre::Overlay::mRotate" ref="acfea58e14ec720e91320d16f40d72dd2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Radian.html">Radian</a> <a class="el" href="classOgre_1_1Overlay.html#acfea58e14ec720e91320d16f40d72dd2">Ogre::Overlay::mRotate</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00085">85</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a841135f08c6791e7006ad4b99a0c6459"></a><!-- doxytag: member="Ogre::Overlay::mScaleX" ref="a841135f08c6791e7006ad4b99a0c6459" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#a841135f08c6791e7006ad4b99a0c6459">Ogre::Overlay::mScaleX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00089">89</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a918d0776ae24dae53716e6e2fa01524b"></a><!-- doxytag: member="Ogre::Overlay::mScaleY" ref="a918d0776ae24dae53716e6e2fa01524b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#a918d0776ae24dae53716e6e2fa01524b">Ogre::Overlay::mScaleY</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00089">89</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a7f31ad43e6ae56223bcb4b0f419dec53"></a><!-- doxytag: member="Ogre::Overlay::mScrollX" ref="a7f31ad43e6ae56223bcb4b0f419dec53" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#a7f31ad43e6ae56223bcb4b0f419dec53">Ogre::Overlay::mScrollX</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00087">87</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a18010a80c39421d071b5d159f166a8f0"></a><!-- doxytag: member="Ogre::Overlay::mScrollY" ref="a18010a80c39421d071b5d159f166a8f0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Overlay.html#a18010a80c39421d071b5d159f166a8f0">Ogre::Overlay::mScrollY</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00087">87</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2ef3578f72ef61935cd55529598eaf98"></a><!-- doxytag: member="Ogre::Overlay::mTransform" ref="a2ef3578f72ef61935cd55529598eaf98" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a> <a class="el" href="classOgre_1_1Overlay.html#a2ef3578f72ef61935cd55529598eaf98">Ogre::Overlay::mTransform</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00091">91</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac70a9397e1355a83237e7b2e05416017"></a><!-- doxytag: member="Ogre::Overlay::mTransformOutOfDate" ref="ac70a9397e1355a83237e7b2e05416017" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#ac70a9397e1355a83237e7b2e05416017">Ogre::Overlay::mTransformOutOfDate</a><code> [mutable, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00092">92</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a681c81ead2967a473100495dac9b82ab"></a><!-- doxytag: member="Ogre::Overlay::mTransformUpdated" ref="a681c81ead2967a473100495dac9b82ab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#a681c81ead2967a473100495dac9b82ab">Ogre::Overlay::mTransformUpdated</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00093">93</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="aa8c41f39e68f82a6e4d9f7b080e3eb08"></a><!-- doxytag: member="Ogre::Overlay::mVisible" ref="aa8c41f39e68f82a6e4d9f7b080e3eb08" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Overlay.html#aa8c41f39e68f82a6e4d9f7b080e3eb08">Ogre::Overlay::mVisible</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00095">95</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0671899a71d5ed5ca4973e236b77b75e"></a><!-- doxytag: member="Ogre::Overlay::mZOrder" ref="a0671899a71d5ed5ca4973e236b77b75e" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="classOgre_1_1Overlay.html#a0671899a71d5ed5ca4973e236b77b75e">Ogre::Overlay::mZOrder</a><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreOverlay_8h_source.html#l00094">94</a> of file <a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreOverlay_8h_source.html">OgreOverlay.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:49:00
</p>
</body>
</html>
